%define module  django-keyedcache

Name:           python-django-keyedcache
Version:        1.5.1
Release:        %mkrel 7
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/bkroeze/django-keyedcache/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)

%description
Django Keyedcache provides utilities and class mixins for simplified
development of cache-aware objects.

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build

%install
%py2_install

# Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc README.rst
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/keyedcache/*.py*
%{python2_sitelib}/keyedcache/templates/
%{python2_sitelib}/django_keyedcache-%{version}-py%{python2_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.5.1-7.mga6
+ Revision: 970489
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.5.1-6.mga6
+ Revision: 886886
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-5.mga5
+ Revision: 739146
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.1-4.mga5
+ Revision: 728286
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 687982
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 1.5.1-1.mga5
+ Revision: 617931
- update URL
- remove unneeded BRs on python-devel and gettext
- remove unneeded Requires on python-django (available on setup file)
- update files list
- update doc files
- minor cosmetic change
- new version: 1.5.1

* Tue Oct 22 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 543336
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.6-2.mga4
+ Revision: 498372
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.4.6-1.mga4
+ Revision: 436225
- update to 1.4-6
- update spec file to new folder architecture

* Mon Feb 04 2013 pterjan <pterjan> 1.4.1-4.mga3
+ Revision: 394581
- Fix specfile name

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 26 2011 philippem <philippem> 1.4.1-3.mga1
+ Revision: 91788
+ rebuild (emptylog)

* Tue Apr 26 2011 misc <misc> 1.4.1-2.mga1
+ Revision: 91726
- Fix Group
- rename the rpm, and fix the adaptation to mageia
- rename the package
- imported package django-keyedcache

